> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Investor Entity

> Creates many investor entities by name for the org, rejecting the whole batch if any name already exists.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-bulk-investor-entity
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-bulk-investor-entity:
    post:
      operationId: createBulkInvestorEntity
      summary: Create Bulk Investor Entity
      description: >-
        Creates many investor entities by name for the org, rejecting the whole
        batch if any name already exists.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBulkInvestorEntityRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBulkInvestorEntityResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateBulkInvestorEntityRequest:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
            minLength: 1
      required:
        - data
    CreateBulkInvestorEntityResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
